#3227 closed defect (worksforme)

sb-check fails on Msys2 64-bit

Reported by: Joel Sherrill Owned by: Chris Johns
Priority: normal Milestone: 5.1
Component: admin Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

There must be a recent change to msys2 which is breaking things. I installed the 64-bit version from https://msys2.github.io/ per the instructions at https://docs.rtems.org/branches/master/user/hosts/index.html#microsoft-windows

$ ./source-builder/sb-check
error: no hosts defaults found; please add

After adding some prints, I learned this:

$ ./source-builder/sb-check
posix
made it
MSYS_NT-10.0
error: no hosts defaults found; please add

I filled in options.py and windows.py to recognize this as MSYS2. I was then able to run sb-check. But it wasn't happy. Apparently the pacman command in the User's Guide is missing some packages based on newer versions:

$ ./source-builder/sb-check
posix
MSYS_NT-10.0
RTEMS Source Builder - Check, 5 (8b30eb3f440a modified)
error: exe: not found: (__ar) ar
error: exe: not found: (__as) as
error: exe: not found: (__cc) x86_64-w64-mingw32-gcc
error: exe: not found: (__cxx) x86_64-w64-mingw32-g++
error: exe: not found: (__ld) ld
error: exe: not found: (__nm) nm
error: exe: not found: (__objcopy) objcopy
error: exe: not found: (__objdump) objdump
error: exe: not found: (__ranlib) ranlib
Environment is not correctly set up

I installed binutils explcitly with pacman and then sb-check is complaining about gcc. I did a find to locate the gcc's installed:

$ find / -name "*gcc.*"
/home/jrs007/.ssh/id_rsa_gcc.pub
/mingw64/bin/gcc.exe
/mingw64/bin/x86_64-w64-mingw32-gcc.exe
/mingw64/lib/gcc/x86_64-w64-mingw32/6.2.0/include/stdint-gcc.h
/mingw64/lib/gcc/x86_64-w64-mingw32/6.2.0/libgcc.a
/mingw64/share/info/gcc.info.gz
/mingw64/share/man/man1/gcc.1.gz
/usr/share/vim/vim80/compiler/gcc.vim
find: failed to read file names from file system at or below ‘/’: No such file or directory

jrs007@JRS-OAR-Laptop MINGW64 /c/opt/rtems/rsb/source-builder
$ /mingw64/bin/x86_64-w64-mingw32-gcc.exe --version
x86_64-w64-mingw32-gcc.exe (Rev2, Built by MSYS2 project) 6.2.0
Copyright (C) 2016 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Attachments (1)

rsb.diff (1.6 KB) - added by Joel Sherrill on Nov 10, 2017 at 4:13:54 PM.
Accounts for name change

Download all attachments as: .zip

Change History (6)

Changed on Nov 10, 2017 at 4:13:54 PM by Joel Sherrill

Attachment: rsb.diff added

Accounts for name change

comment:1 Changed on Nov 10, 2017 at 4:14:37 PM by Joel Sherrill

Owner: set to Chris Johns
Status: newassigned

comment:2 Changed on Nov 12, 2017 at 3:53:38 PM by Joel Sherrill <joel@…>

Resolution: fixed
Status: assignedclosed

In d1e6dfc/rtems-source-builder:

5/rtems-all.bset: Add missing aarch64

closes #3227.

comment:3 Changed on Nov 12, 2017 at 3:54:36 PM by Joel Sherrill

Resolution: fixed
Status: closedreopened

Wrong ticket closed

comment:4 Changed on Nov 12, 2017 at 9:38:18 PM by Chris Johns

I have just updated my MSYS2 and I am not seeing an issue. Also:

chris@weng MINGW64 /d/opt/rtems/rsb.git/rtems
$ ../source-builder/sb-check
RTEMS Source Builder - Check, 5 (089327b5dcf9)
Environment is ok
chris@weng MINGW64 /d/opt/rtems/rsb.git/rtems
$ /mingw64/bin/x86_64-w64-mingw32-gcc.exe --version
x86_64-w64-mingw32-gcc.exe (Rev1, Built by MSYS2 project) 7.2.0
Copyright (C) 2017 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

My installed gcc is much newer than yours?

Did you follow this procedure https://github.com/msys2/msys2/wiki/MSYS2-installation#iii-updating-packages ?

comment:5 Changed on Dec 5, 2017 at 2:31:08 PM by Joel Sherrill

Resolution: worksforme
Status: reopenedclosed

This should have been closed. The issue was that my install needed to be updated after the initial install. Apparently, they don't give you the latest version of anything on an initial install.

Closing.

Note: See TracTickets for help on using tickets.